:root {
    --primary: #ff2c2c;
    --secondary: rgb(20, 20, 20);
    --bg: #fff;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
}

body {
    font-family: 'Lato', sans-serif;
    background-color: var(--bg);
    color: var(--secondary);
}

/* Product */
.section-product {
    min-height: 100vh;
    margin: 1% 0;
}

.section-product .content {
    margin: 0 7%;
    display: flex;
    align-items: flex-start;
}

.filter-product {
    border-color: var(--primary);
    border-width: 2px;
    flex: 0 0 20%;
}

.filter-desc h4 {
    padding: 5% 0;
    font-size: 1.5rem;
}

.filter-product label {
    font-size: 0.8rem;
}

.filter-desc {
    margin: 5% 0;
    border-style: none none solid none;
    border-color: var(--primary);
    border-width: 2px;
}

.container {
    display: flex;
    flex-direction: column;
    padding: 0 10%;
}

.checkbox {
    padding: 10% 0 10% 5%;
    cursor: pointer;
    display: flex;
    align-items: center;
    transform: scale(1.4);
}

.checkbox label {
    padding: 0 0 0 5%;
}

.container .reset {
    padding: 8%;
    width: 50%;
    color: var(--bg);
    background-color: var(--primary);
    transition: transform 0.3s, background-color 0.3s, color 0.3s;
}

.container .reset:hover {
    color: var(--primary);
    background-color: var(--bg);
}

.container button {
    font-size: 1rem;
}

.container .resetBtn {
    padding: 5% 0;
}

#filter-button {
    display: none;
    color: var(--primary);
    background-color: var(--bg);
}

.product-container {
    display: flex;
    flex-wrap: wrap;
}

.brand-product {
    flex: 1;
    margin-left: 4%;
}

.brand-product img {
    width: 100%;
}

.brand-product .img {
    display: flex;
    justify-content: center;
    padding: 0 0 10% 0;
}

.product-container a {
    margin: 1%;
    padding: 3%;
    border-style: solid;
    border-color: var(--primary);
    border-width: 2px;
    box-sizing: border-box;
    width: 30%;
    height: 55vh;
    color: var(--secondary);
    transition: transform 0.3s, background-color 0.3s, color 0.3s;
}

.product-container a:hover {
    color: rgba(255, 44, 44, 1);
    background-color: rgba(0,0,0,0.1);
}

.wrap h4, .wrap p {
    padding: 2% 0;
}

.brand-product h1 {
    font-size: 2.5em;
    padding: 1% 0 3% 1%;
}

.brand-product #rolex-filter,
.brand-product #hublot-filter,
.brand-product #tommy-filter,
.brand-product #seiko-filter,
.brand-product #fossil-filter {
    display: none;
}


/* Media Queries */
/* Laptop */
@media (max-width: 1366px) {
    html {
        font-size: 80%; 
    }
}

/* Tablet */
@media (max-width: 800px) {
    html {
        font-size: 65%;
    }

    .section-product {
        position: relative;
        margin: 5% 0;
    }

    #filter-button {
        position: fixed;
        display: flex;
        top: 85%;
        background-color: none;
        border-radius: 5rem;
        width: 8%;
        box-shadow: 0 0 10px 1px rgba(0,0,0,0.2);
    }
    
    .filter-product {
        position: fixed;
        top: 37%;
        left: -100%;
        background-color: var(--bg);
        color: var(--secondary);
        width: 35%;
        padding: 1% 3%;
        box-shadow: 0 0 10px 1px rgba(0,0,0,0.2);
        border-radius: 0 0 0 20%;
    }

    .checkbox {
        transform: scale(1.4);
    }

    .container label {
        font-size: 1.1rem;
    }

    .filter-desc h4 {
        font-size: 2rem;
    }

    .filter-product.active {
        left: 15%;
    }

    .filter-product .container {
        display: block;
    }

    .container button {
        font-size: 1.2rem;
    }

    .product-container a {
        width: 45%;
    }

    .brand-product h1 {
        padding-top: 5%;
    }

    .wrap h4, .wrap p {
        font-size: 1.4rem;
    }
    
}

/* Mobile Phone */
@media (max-width: 450px) {
    html {
        font-size: 60%;
    }
}
